rpms/dracut/devel dracut-004-emergency.patch, NONE, 1.1 dracut-004-forcepermissive.patch, NONE, 1.1 dracut-004-multipath-check.patch, NONE, 1.1

Harald Hoyer harald at fedoraproject.org
Fri Jan 29 15:45:39 UTC 2010


Author: harald

Update of /cvs/pkgs/rpms/dracut/devel
In directory cvs1.fedora.phx.redhat.com:/tmp/cvs-serv20408

Added Files:
	dracut-004-emergency.patch dracut-004-forcepermissive.patch 
	dracut-004-multipath-check.patch 
Log Message:
* Fri Jan 29 2010 Harald Hoyer <harald at redhat.com> 004-5
- fixed firmware.sh bug (#559975 #559597)


dracut-004-emergency.patch:
 init |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

--- NEW FILE dracut-004-emergency.patch ---
commit 5db587d7c118afc47b50b4872100b508c84646fa
Author: Harald Hoyer <harald at redhat.com>
Date:   Wed Jan 20 16:04:55 2010 +0100

    init: fixed emergency_shell argument parsing

diff --git a/modules.d/99base/init b/modules.d/99base/init
index 8dc00a9..ab033a7 100755
--- a/modules.d/99base/init
+++ b/modules.d/99base/init
@@ -35,7 +35,7 @@ wait_for_loginit()
 
 emergency_shell()
 {
-    if [ $1 = "-n" ]; then
+    if [ "$1" = "-n" ]; then
         _rdshell_name=$2
         shift 2 
     else

dracut-004-forcepermissive.patch:
 selinux-loadpolicy.sh |    2 ++
 1 file changed, 2 insertions(+)

--- NEW FILE dracut-004-forcepermissive.patch ---
diff -up dracut-004/modules.d/99base/selinux-loadpolicy.sh.load dracut-004/modules.d/99base/selinux-loadpolicy.sh
--- dracut-004/modules.d/99base/selinux-loadpolicy.sh.load	2010-01-15 14:07:54.000000000 +0100
+++ dracut-004/modules.d/99base/selinux-loadpolicy.sh	2010-01-26 11:23:56.000000000 +0100
@@ -37,6 +37,8 @@ rd_load_policy()
 	} 2>&1 | vinfo
 
 	if [ $ret -eq 0 -o $ret -eq 2 ]; then
+	    # If machine requires a relabel, force to permissive mode
+	    [ -e "$NEWROOT"/.autorelabel ] && ( echo 0 > "$NEWROOT"/selinux/enforce )
 	    return 0
 	fi
 

dracut-004-multipath-check.patch:
 check |   28 +++++++++++++++++++++++++++-
 1 file changed, 27 insertions(+), 1 deletion(-)

--- NEW FILE dracut-004-multipath-check.patch ---
From: Peter Jones <pjones at redhat.com>
Subject: [PATCH] Add a check file for multipath.
Date: 	Fri, 22 Jan 2010 10:56:40 -0500

If multipath isn't installed, don't use it.  If we're in hostonly mode,
only install the multipath module if it's used for / .  Otherwise, if
the user was dumb enough to install it, they get it during bootup.
---
 modules.d/90multipath/check |   27 +++++++++++++++++++++++++++
 1 files changed, 27 insertions(+), 0 deletions(-)
 create mode 100755 modules.d/90multipath/check

diff --git a/modules.d/90multipath/check b/modules.d/90multipath/check
new file mode 100755
index 0000000..d0cad4c
--- /dev/null
+++ b/modules.d/90multipath/check
@@ -0,0 +1,27 @@
+#!/bin/bash
+
+# if there's no multipath binary, no go.
+which multipath >/dev/null 2>&1 || exit 1
+
+[[ $1 = -d ]] && exit 0
+
+. $dracutfunctions
+[[ $debug ]] && set -x
+
+is_mpath() {
+    [ -e /sys/dev/block/$1/dm/uuid ] || return 1
+    [[ $(cat /sys/dev/block/$1/dm/uuid) =~ ^mpath- ]] && return 0
+    return 1
+}
+
+# If we're in hostonly mode, do mpath if we appear to be using it for /
+if [[ $1 = -h ]]; then
+    rootdev=$(find_root_block_device)
+    if [[ $rootdev ]]; then
+        check_block_and_slaves is_mpath "$rootdev" && exit 0
+    fi
+    exit 1
+fi
+
+# the user installed it, they get it...
+exit 0
-- 
1.6.5.2




More information about the scm-commits mailing list